@import url("common.css");
@import url("animation.css");

* {
    scrollbar-width: none !important;
    -ms-overflow-style: none !important;
}

*::-webkit-scrollbar {
    display: none !important;
}

.font-esthetic {
    font-family: 'Sacramento', cursive !important;
}

.font-arabic {
    font-family: 'Noto Naskh Arabic', serif !important;
}

.img-center-crop {
    width: 14rem;
    height: 14rem;
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

.btn-music {
    bottom: 9vh;
    right: 2vh;
    z-index: 1055;
}

.btn-theme {
    bottom: 15vh;
    right: 2vh;
    z-index: 1055;
}

.loading-page {
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 1056;
}

.color-theme-white {
    color: rgb(255, 255, 255);
    background-color: var(--bs-light);
}

.color-theme-black {
    color: rgb(0, 0, 0);
    background-color: var(--bs-dark);
}

section {
    margin-top: -0.25rem;
    margin-bottom: -0.25rem;
}

.bg-cover-home {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* mask-image: linear-gradient(0.5turn, transparent, black 10%, black 90%, transparent); */
}


.scroll-section{
	display: flex;
	align-items: center;
	justify-content: center;
}

.scroll-down {
	height: 30px;
	width: 10px;
	/* border: 2px solid black; */
	position: absolute;
	border-radius: 50px;
	cursor: pointer;
  }
  .scroll-down::before,
  .scroll-down::after {
	content: "";
	position: absolute;
	top: 20%;
	left: 50%;
	height: 10px;
	width: 10px;
	transform: translate(-50%, -100%) rotate(45deg);
	border: 2px solid hsl(144, 21.9%, 23.3%);
	border-top: transparent;
	border-left: transparent;
	animation: scroll-down 1s ease-in-out infinite;
  }
  .scroll-down::before {
	top: 30%;
	animation-delay: 0.3s;
	/* animation: scroll-down 1s ease-in-out infinite; */
  }
  
  @keyframes scroll-down {
	0% {
	  /* top:20%; */
	  opacity: 0;
	}
	30% {
	  opacity: 1;
	}
	60% {
	  opacity: 1;
	}
	100% {
	  top: 90%;
	  opacity: 0;
	}
  }
  